CVE-2007-2953

NameCVE-2007-2953
DescriptionFormat string vulnerability in the helptags_one function in src/ex_cmds.c in Vim 6.4 and earlier, and 7.x up to 7.1, allows user-assisted remote attackers to execute arbitrary code via format string specifiers in a help-tags tag in a help file, related to the helptags command.
SourceCVE (at NVD; oss-sec, fulldisc, OSVDB, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, more)
ReferencesDSA-1364-1, DSA-1364-2
NVD severitymedium (attack range: remote, user-initiated)
Debian/oldoldstablenot vulnerable.
Debian/oldstablenot vulnerable.
Debian/stablenot vulnerable.
Debian/testingnot vulnerable.
Debian/unstablenot vulnerable.

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
vim (PTS)squeeze2:7.2.445+hg~cb94c42c0e1a-1fixed
wheezy2:7.3.547-7fixed
jessie2:7.4.488-7fixed
stretch, sid2:7.4.826-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
vimsource(unstable)1:7.1-056+1low
vimsourceetch1:7.0-122+1etch3mediumDSA-1364-2
vimsourcesarge1:6.3-071+1sarge2mediumDSA-1364-1

Search for package or bug name: Reporting problems